Mandriva Linux Security Advisory : freetype2 (MDVSA-2011:177)

High Nessus Plugin ID 56910


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been discovered and corrected in freetype2 :

FreeType allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted font in a document (CVE-2011-3439).

The updated packages have been patched to correct these issues.


Update the affected packages.

Plugin Details

Severity: High

ID: 56910

File Name: mandriva_MDVSA-2011-177.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2011/11/22

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:freetype2-demos, p-cpe:/a:mandriva:linux:lib64freetype6, p-cpe:/a:mandriva:linux:lib64freetype6-devel, p-cpe:/a:mandriva:linux:lib64freetype6-static-devel, p-cpe:/a:mandriva:linux:libfreetype6, p-cpe:/a:mandriva:linux:libfreetype6-devel, p-cpe:/a:mandriva:linux:libfreetype6-static-devel, cpe:/o:mandriva:linux:2010.1, cpe:/o:mandriva:linux:2011

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2011/11/21

Reference Information

CVE: CVE-2011-3439

BID: 50643

MDVSA: 2011:177